<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('operatore', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('attivita_id')->unsigned();
            $table->foreign('attivita_id')->references('id')->on('attivita')->onDelete('cascade');
            $table->string('nome')->nullable();
            $table->string('cognome')->nullable();
            $table->string('email')->nullable()->unique();
            $table->string('fcm_token')->nullable();
            $table->string('username')->unique();
            $table->string('password');
            $table->boolean('changed_password')->default(false);
            $table->string('telefono')->nullable();
            $table->boolean('is_attivo')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('operatore');
    }
};
